Name:          portals-pom
Version:       1.3
Release:       %mkrel 13
Group:         Development/Java
Summary:       Apache Portals parent pom
License:       ASL 2.0
Url:           http://portals.apache.org/
# svn export http://svn.apache.org/repos/asf/portals/portals-pom/tags/portals-pom-1.3
# tar czf portals-pom-1.3-src-svn.tar.gz portals-pom-1.3
Source0:       %{name}-%{version}-src-svn.tar.gz
BuildRequires: maven-local
BuildRequires: maven-install-plugin
BuildArch:     noarch

%description
Apache Portals is a collaborative software development project
dedicated to providing robust, full-featured, commercial-quality,
and freely available Portal related software on a wide variety of
platforms and programming languages. This project is managed in
cooperation with various individuals worldwide (both independent and
company-affiliated experts), who use the Internet to communicate, plan,
and develop Portal software and related documentation.

%prep
%setup -q

%pom_remove_plugin :ianal-maven-plugin

for d in LICENSE NOTICE ; do
  iconv -f iso8859-1 -t utf-8 $d > $d.conv && mv -f $d.conv $d
  sed -i 's/\r//' $d
done

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE NOTICE



%changelog
* Wed Feb 24 2016 neoclust <neoclust> 1.3-13.mga6
+ Revision: 977772
- First rebuild of the java stack
- sync package portals-pom with fedora
- imported package portals-pom

* Thu Dec 25 2014 pterjan <pterjan> 1.3-11.mga5
+ Revision: 805779
- Clean rebuild
- Rebuild to get updated dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.3-9.mga5
+ Revision: 750758
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat May 24 2014 dmorgan <dmorgan> 1.3-7.mga5
+ Revision: 625692
- Build with xmvn

* Tue Dec 31 2013 dmorgan <dmorgan> 1.3-4.mga4
+ Revision: 563449
- Remove old rpm macros

* Fri Oct 18 2013 umeabot <umeabot> 1.3-3.mga4
+ Revision: 517616
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.3-2.mga3
+ Revision: 378071
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 05 2011 gil <gil> 1.3-1.mga2
+ Revision: 151787
- imported package portals-pom


* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Feb 11 2015 gil cattaneo <puntogil@libero.it> 1.3-11
- introduce license macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 28 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.3-9
- Rebuild to regenerate Maven auto-requires

* Wed May 28 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.3-8
- Rebuild to regenerate provides

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jun 29 2013 gil cattaneo <puntogil@libero.it> 1.3-6
- switch to XMvn and pom macros , minor changes to adapt to current guideline

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.3-4
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu May 31 2012 gil cattaneo <puntogil@libero.it> 1.3-2
- Remove empty javadoc package

* Sat May 19 2012 gil cattaneo <puntogil@libero.it> 1.3-1
- initial rpm
